@import url('./reset.css');
@font-face {
  font-family: 'Heebo';
  src: url('./Heebo-Regular.ttf');
  font-weight: 400;
}
@font-face {
  font-family: 'Heebo';
  src: url('./Heebo-Bold.ttf');
  font-weight: 700;
}
@font-face {
  font-family: 'Lateral';
  src: url('./Lateral-ExtendedBold.woff2');
  font-weight: 700;
}

:root {
  --black: #161819;
  --gray: #444646;
  --green: #bcf986;
  --green-dark: #99f646;
}

html {
  height: 100vh;
}

body {
  height: 100%;
  display: flex;
  font-family: Heebo, sans-serif;
  color: var(--black);

  & > * {
    width: 50%;
  }
}

.content {
  padding: 0 64px;
  align-self: center;
  display: flex;
  flex-direction: column;
  gap: 10px;
}
img {
  object-fit: cover;
  pointer-events: none;
}
h1 {
  /* Desktop Headers/H1-6xl */
  font-family: Lateral, sans-serif;
  font-size: 44px;
  font-style: normal;
  font-weight: 700;
  line-height: 52px;
  letter-spacing: 0.088px;
}
p {
  color: var(--gray);

  /* Body/Body XL */
  font-family: Heebo;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 24px; /* 140% */
  letter-spacing: 0.032px;
}

h1,
p,
a {
  -webkit-font-smoothing: antialiased;
  margin: 0;
}

a {
  display: inline-flex;

  display: flex;
  width: 100%;
  max-width: 300px;
  border-radius: 40px;
  padding: 21px 32px;
  justify-content: center;
  align-items: center;
  text-align: center;

  /* Button Text/Button Text Default */
  font-family: Heebo;
  font-size: 16px;
  font-style: normal;
  font-weight: 700;
  line-height: 12px; /* 75% */
  letter-spacing: 1px;
  margin: 24px 0 0 0;
  
}

a,
a:visited,
a:focus,
a:active {
  text-decoration: none;
  background: var(--green);
  color: var(--black);
}

a:hover {
  background: var(--green-dark);
}

a.status-link,
a.status-link:visited,
a.status-link:focus,
a.status-link:active {
  background: none;
  text-decoration: underline;
  padding: 0px 32px 21px 32px;
}

a.status-link:hover {
  background: none;
}

@media screen and (max-width: 1024px) {
  body {
    flex-direction: column;
    & > * {
      width: 100%;
    }
  }
  img {
    height: 360px;
    object-position: 100% 10%;
  }
  .content {
    padding: 40px 16px;
    padding-bottom: 64px;
    gap: 8px;
  }
  h1 {
    font-size: 32px;
    line-height: 36px; 
    letter-spacing: 0.064px;
  }
  p {
    font-size: 18px;
    line-height: 28px;
    letter-spacing: 0.036px;
    display: inline;
  }
  br {
    display: none;
  }
  a {
    font-size: 16px;
    line-height: 12px;
    letter-spacing: 1px;
    width: 100%;
    max-width: 100%;
  }
}
